Subject: Re: linux-next: manual merge of the security-testing tree with the tree

From: Uwe Kleine-König<[email-masked]>
Date: Thu, 30 Jun 2011 14:17:10 +0200

On Thu, Jun 30, 2011 at 07:30:23PM +1000, Stephen Rothwell wrote:
> Hi Uwe,
> 
> On Thu, 30 Jun 2011 09:25:59 +0200 Uwe Kleine-König <[email-masked]> wrote:
> >
> > Long history short: James probably used -s ours or similar and it's fine
> > not to merge that commit into next :-)
> 
> Ah ha!  Thanks for the explanation.  My mind was clearly not up to it
> today. :-)
The uncomfortable issue here is that 

	git show bcd05ca10420

(or gitk or gitweb or <enteryourfavoritetoolhere>) doesn't indicate that
it's "strange". The patch shown is simply empty, as it would be if the
tree matched the other parent or if it were a clean merge.

A flag would be nice that does what I did: redo the merge and compare
bcd05ca10420^{tree} with the result?

Best regards
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-König            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |